ScotlandPHP

Instalação

To enable SOAP support, configure PHP with --enable-soap .

add a note add a note

User Contributed Notes 9 notes

up
1
c at cinqs dot net
8 months ago
If you received a

    E: Couldn't find any package by regex 'php7.1-soap'

when using docker php:apache image

try

    apt-get install php-soap

instead
up
2
dbagnara
1 year ago
for Ubuntu 16.04 LTS
sudo apt-get install php7.0-soap
sudo systemctl restart apache2.service
up
-5
digimix.co
8 months ago
On PHP7.1 Ubuntu 16.04 LTS:
$ sudo apt-get install php7.1-soap
$ sudo service php7.1-fpm reload
up
-3
cdvillagra
5 months ago
If you have not yet updated the OS and also the PHP version

for Ubuntu 14.04 LTS
sudo apt-get install php5.6-soap
sudo service apache2 restart
up
-6
wally at soggysoftware dot co dot uk
9 months ago
If you're using official PHP packages shipped with CentOS or RedHat version 6 or 7:

# yum install php-soap

(Restart Apache/nginx too if appropriate.)
up
-42
Anonymous
6 years ago
If you are using 3rd party all-in-one servers on windows (like Uniform Server etc), "php_soap.dll" may not be included in the default distribution. If this is the case, the do phpinfo(); first, check what compiler is used - you need to find out if it's VC6 or VC9, then got to official php download page, get windows binary distribution (.zip archive recommended), and copy php_soap.dll from that archive to your server (on Uniform it's <path>usr\local\php\extensions\ and then restart the apache service. Please note that despite of compiler difference, PHP comes in two flavours - thread safe and non thread safe. If one does not work for you (check logs - "unable to load dynamic library '...' usually means file is not there (not the case) or cannot be loaded (due to compiler ABI mismatch or ts/nts mismatch). Try thread safe binaries first.
up
-53
ifzen at yahoo dot com
7 years ago
And CentOS or Red-Hat : yum install php-soap
up
-65
walter
7 years ago
Gentoo: add the 'soap' use flag to /etc/make.conf and emerge -av php
up
-74
qiancy
4 years ago
yum install php53-soap
--centos Linux 2.6.18-308.el5
To Top